Prawie 200 luk w produktach Apple, podatności również w WMware, Cisco, Wordpress, Chrome i Chromium

VMware

Firma VMware wydała aktualizacje zabezpieczeń dla VMware vCenter Server, który nie sprawdza poprawności certyfikatu (CVE-2015-6932), gdy vCenter Server nawiązuje połączenie z serwerem LDAP poprzez TLS. Wykorzystanie tej luki może pozwolić atakującemu przechwycić ruch pomiędzy vCenter Server i serwerem LDAP, w efekcie przechwycić poufne informacje.

Aktualizacje obejmują VMware vCenter Server w wersji 6.0 dla którego dostępny jest Update 1 oraz dla wersji 5.5, dla którego przygotowano Update 3. Wersje VMware vCenter Server 5.0 i 5.1 nie są podatne.

Poprawki bezpieczeństwa dostępne są na tej stronie.

Cisco

Firma Cisco opublikowała aktualizacje dla Prime Collaboration Assurance, Prime Collaboration Provisioning i oprogramowania TelePresence Server. Wykorzystanie tych luk mogło pozwolić atakującemu na dostęp do poświadczeń administracyjnych, wszelkich informacji na temat urządzeń zaimportowanych do bazy danych, a także na zdalny dostęp do urządzenia poprzez protokół SNMP oraz przekroczenie uprawnień i wykonanie ataku DoS.

Apple

Apple wydało prawie 200 aktualizacji zabezpieczeń dla systemu OS X Server, iTunes, Xcode oraz iOS. Wykorzystywanie niektórych z luk mogło umożliwić osobie atakującej zdalnie przejąć kontrolę nad atakowanym systemem.

Aktualizacje obejmują:

  • Aktualizacje dla OS X Server v5.0.3 dla systemu OS X Yosemite v10.10.4 lub nowszego – załatano 20 podatności w serwerze Apache i BIND, PostgreSQL, WikiServer, z których najpoważniejsze mogą pozwolić osobie atakującej zdalnie spowodować odmowę usługi (DoS).
  • Aktualizacje dla iTunes 12.3 w systemie Windows 7 i nowszych – załatano 66 podatności, które mogły pozwolić atakującemu nieoczekiwanie zamknąć program lub wykonać dowolny kod z uprawnieniami aplikacji.  
  • Aktualizacje dla Xcode 7.0 dla systemu OS X Yosemite v10.10.4 lub nowszego – załatano łącznie 10 podatności, które mogły pozwolić osobie atakującej  obejść ograniczenia dostępu, uzyskać dostęp do zastrzeżonych części systemu plików, sprawdzić ruch na Xcode Server, wysłać powiadomienia do osób nieuwierzytelnionych. Załatano także podatności w OpenSSL.
  • Aktualizacje dla iOS 9 dla iPhone 4s i nowszych modeli, dla iPod touch (5th generation) i nowszych, dla iPad 2  nowszych – najnowsza wersja systemu iOS 9 przynosi sporo aktualizacji w bezpieczeństwie. Załatano aż 101 podatności m.in. w systemie płatności Apple Pay, w przeglądarce Safari i w wieli, wielu innych elementach systemu operacyjnego, m.in.:
    • błąd powodujący nieoczekiwane zamknięcie aplikacji w momencie odtworzenia szkodliwego pliku audio,
    • błąd, który mógłby doprowadzić do wycieku poufnych informacji na skutek ominięcia HTTP Strict Transport Security (HSTS), jeśli osoba atakowana otworzyłaby specjalnie spreparowany adres URL,
    • błąd w IOAcceleratorFamily, który lokalnemu użytkownikowi pozwalał na wykonanie dowolnego kodu z uprawnieniami systemowymi,
    • załatano liczne luki w kernelu,
    • załatano liczne luki w przeglądarce Safari.

Wordpress

Deweloperzy popularnego CMS-a Wordpress udostępnili jego nową wersję 4.3.1, w której załatano kilka podatności i 26 bugów. Najważniejsze z nich dotyczą:

  • Luki (CVE-2015-5714) odkrytej przez Shahara Tala i Netanela Rubina z Check Point. Umożliwiała ona wykonanie ataku XSS w WordPressie 4.3 i starszych.
  • Podobna podatność została odkryta w tabeli z listą użytkowników. Została ona zgłoszona przez Bena Bidnera z zespołu bezpieczeństwa WordPress.
  • W niektórych przypadkach, użytkownicy bez odpowiednich uprawnień mogli opublikować prywatne wiadomości i przekleić je na stronie (CVE-2015-5715). Błąd został odkryty również przez Shahara Tala i Netanela Rubina z Check Point.

Luki w zabezpieczeniach dotyczyły także tzw. privilege escalation - podniesienie uprawnień, których wykorzystanie mogło skutkować utratą kontroli nad własną stroną www.

Chrome i Chromium

W przeglądarce Chrome oraz Chromium w wersji  „45.0.2454.93 m” odkryto błąd, który powoduje crach przeglądarki lub wygaśnięcie strony.

Błąd został odkryty przez Andris Atteka, który wyjaśnił, na swoim blogu, że dodając znak null w ciągu URL, możliwe jest spowodowanie nieoczekiwanego zamknięcia przeglądarki, nawet po najechaniu kursorem na link bez jego otwierania.

Wystarczy, że wpiszecie w pasku adresu URL taki ciąg znaków: http://a/%%30%30 lub najedziecie na niego kursorem, a przeglądarka wyświetli komunikat o problemie.

Google twierdzi, że nie jest to luka w zabezpieczeniach, dlatego też znalazca błędu nie kwalifikuje się do nagrody pieniężnej.

Na razie aktualizacja nie jest dostępna.



Zapoznaj się z naszą ofertą

Jeśli zajmujesz się sprzedażą rozwiązań zabezpieczających, jesteś dystrybutorem, autoryzowanym partnerem lub producentem i chciałbyś na portalu AVLab zaprezentować swoje portfolio gronu potencjalnych odbiorców, zareklamować wydarzenie, oprogramowanie, sprzęt lub inne usługi — po prostu napisz do nas. A może mialeś/aś do czynienia z ransomware? Pomagamy też w odszyfrowaniu plików.
Czytaj więcej